DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# PixelTableNew

Allocate a new pixel table

## SYNOPSIS

`#include "dip_pixel_table.h"`

dip_Error dip_PixelTableNew ( table, size, runs, resource s)

## FUNCTION

Allocates a new pixel table `table`. The `size` array specifies the dimensionality of the coordinates in each run, and the sizes of the bounding box of the pixel table. The `runs` parameter specifies the number of runs in the pixel table.

## ARGUMENTS

Data type | Name | Description
`dip_PixelTable *` | `table` | Pixel table
`dip_IntegerArray` | `size` | Size
`dip_int` | `runs` | Number of pixel table runs
`dip_Resources` | `resources` | Resources tracking structure. See `ResourcesNew`

## SEE ALSO

Description of DIPlib's pixel tables

`PixelTableSetRun`, `PixelTableGetRun`, `PixelTableAddRun`, `PixelTableGetRuns`, `PixelTableGetDimensionality`, `PixelTableGetDimensions`, `PixelTableGetOrigin`, `PixelTableGetSize`, `PixelTableGetPixelCount`, `PixelTableGetOffsetAndLength`